Trouble updating firmware on OS X Mavericks

Discussion in 'Olympus Cameras' started by dav1dz, Nov 1, 2013.

  1. dav1dz

    dav1dz Mu-43 Top Veteran

    926
    Nov 6, 2012
    Canada
    I noticed that there was an update for Olympus 45 mm f/1.8. Tried Olympus's updater 1.06 and it isn't working on OS X Mavericks. Gives me an error about connection to camera after I agree to the terms as I click update.

    "Failed to communicate with the camera. (0x42000)"

    Anyone with similar issues?

    Not a rush for me as the update is minor and is for support on new Panasonic bodies.

    PS: I've always used the Olympus app with success in the past, this is my first time updating in the new OS so I assume that it's the culprit.

    Update: I was able to update without any problems a few days later. Perhaps Olympus servers were down and that's the error message you get...?
     
  2. dav1dz

    dav1dz Mu-43 Top Veteran

    926
    Nov 6, 2012
    Canada
    Hmm nobody had any trouble updating the 45 mm?

    Just some more information: I'm on an E-M5, 1.7. I've updated other lenses in the past without any problems. I tried this on another Mac as well as in Windows and I get the same errors.

    Odd?
     
  3. barbosas

    barbosas Mu-43 Veteran

    283
    May 7, 2013
    Lisbon
    Hi,

    I updated mine last week on Mavericks with an E-P5 and everything went smoothly .

    Cheers
     
    • Like Like x 1
  4. dav1dz

    dav1dz Mu-43 Top Veteran

    926
    Nov 6, 2012
    Canada
    Hopefully it's not my camera that is having problems. I'll try it again in a couple of weeks. Not a crucial update but I'd like to be able to update in the future when there are worthwhile changes.
     
  5. gochugogi

    gochugogi Mu-43 Veteran

    Just a heads up with 10.9: WD apps and drivers are incompatible and will erase your external drives if not uninstalled before updating.
     
  6. dav1dz

    dav1dz Mu-43 Top Veteran

    926
    Nov 6, 2012
    Canada
    Good thing I don't have any WD drives.

    Why would you need drivers for them anyways?

    I was finally able to update without any problems a few days later. Perhaps Olympus servers were down and that's the error message you get...?

    I didn't do anything different. LOL Olympus.
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.